Vulnerability Name:

CVE-2016-9487

Assigned:2016-12-13
Published:2016-12-13
Updated:2018-07-13
Summary:EpubCheck 4.0.1 does not properly restrict resolving external entities when parsing XML in EPUB files during validation. An attacker who supplies a specially crafted EPUB file may be able to exploit this behavior to read arbitrary files, or have the victim execute arbitrary requests on his behalf, abusing the victim's trust relationship with other entities.
CVSS v3 Severity:5.3 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N)
4.6 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): None
Availibility (A): None
CVSS v2 Severity:5.0 Medium (CCN CVSS v2 Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
References:Source: XF
Type: UNKNOWN
epubcheck-cve20169487-xxe-info-disc(119698)

Source: CERT-VN
Type: UNKNOWN
VU#779243

Source: BID
Type: UNKNOWN
94864

Oval Definitions
Definition IDClassTitleLast Modified
oval:com.ubuntu.artful:def:20169487000
V
CVE-2016-9487 on Ubuntu 17.10 (artful) - medium.
2016-11-29
oval:com.ubuntu.xenial:def:20169487000
V
CVE-2016-9487 on Ubuntu 16.04 LTS (xenial) - medium.
2016-11-29
oval:com.ubuntu.trusty:def:20169487000
V
CVE-2016-9487 on Ubuntu 14.04 LTS (trusty) - medium.
2016-11-29
BACK